Use aws-sdk-s3 gem instead of massive aws-sdk

Backporting upstream change from
https://github.com/chef/omnibus/commit/fa31aa041a71071ca85fb4719288d439de7463a6
parent 2ed670aa
......@@ -14,7 +14,7 @@
# limitations under the License.
#
require "aws-sdk"
require "aws-sdk-s3"
require "aws-sdk-core/credentials"
require "aws-sdk-core/shared_credentials"
require "base64"
......
......@@ -21,7 +21,7 @@ Gem::Specification.new do |gem|
gem.test_files = gem.files.grep(/^(test|spec|features)\//)
gem.require_paths = ["lib"]
gem.add_dependency "aws-sdk", "~> 2"
gem.add_dependency "aws-sdk-s3", "~> 1"
gem.add_dependency "chef-sugar", "~> 3.3"
gem.add_dependency "cleanroom", "~> 1.0"
gem.add_dependency "ffi-yajl", "~> 2.2"
......
Markdown is supported
0%
or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment